#ifndef VST_WORK_COATCLEAN_H
#define VST_WORK_COATCLEAN_H

#include "vst_work_base.h"

class VST_Work_Coat : public VST_Work_Base
{
public:
    VST_Work_Coat(int iID,const QString& sName,VSM_Thread* pParent,
                       VS_Thread* pPreState,VS_Thread* pNextState);
    void do_Msg(const V_Msg& msg);
    
    VST_Work_Coat *GetStepState();
};

#endif // VST_WORK_COATCLEAN_H
